## openafs 1.4.12pre3-maemo1

=== debian/changelog ===
openafs (1.4.12pre3-maemo1) unstable; urgency=low

  * Bugfix release - Fremantle support. git commit: 98de1de60
    Renamed dlog to declog to not conflict with maemo's dlog

 -- Jason Edgecombe <jason@rampaginggeek.com>  Tue, 16 Feb 2010 18:02:01 -0500
