=== debian/control ===
Source: openafs
Section: user/network
Priority: extra
Maintainer: Jason Edgecombe <jason@rampaginggeek.com>
Build-Depends: debhelper (>= 5), autotools-dev, krb5 (>=1.6.3-3), kernel-source, libncurses5-dev, autoconf
Standards-Version: 3.7.2

Package: openafs
Architecture: armel
Depends: krb5 (>=1.6.3-3)
Description: AFS distributed filesystem client support
