## openafs 1.6.0

=== debian/changelog ===
openafs (1.6.0-2) unstable; urgency=low

  * Apply upstream deltas for Linux 3.1 and 3.2 (Closes: #649765):
    - [f129142] Linux: 3.1: update RCU path walking detection in
      permission i_op (Closes: #649996)
    - [7f55b45] Linux: d_delete now takes a const argument
    - [737a280] Linux: 3.2: Use set_nlink to update i_nlink
    - [364fad6] Linux: 3.1: adapt to fsync changes
    - [032736b] Linux: make sure backing_dev_info is zeroed
  * Add support for armhf.  Patch from Konstantinos Margaritis.
    (Closes: #645395)

 -- Russ Allbery <rra@debian.org>  Mon, 28 Nov 2011 17:53:45 -0800

openafs (1.6.0-1) unstable; urgency=low

  * New upstream stable release.
    - Rx NAT pings are not enabled until peer has answered
    - Numerous fixes to command argument parsing
    - Avoid crashing on host table exhaustion and defer clients instead
    - Rx connection reference counting is enabled
    - An Rx connection reference count leak is fixed in bulkstat
    - Handle unparsable directory objects
    - Handle Kerberos credential cache errors in aklog
  * Generate stub header files that include the actual system header when
    building libuafs instead of symlinking h to the appropriate directory.
    Fixes build failures now that Debian has switched to multiarch and
    moved some of the system headers.  (Closes: #639063, LP #831287)
  * Fix another Doxygen call to generate a configuration file, and remove
    the generated configuration files after Doxygen runs.
  * Update CellServDB to the 2011-08-14 release.

 -- Russ Allbery <rra@debian.org>  Thu, 01 Sep 2011 18:43:02 -0700

openafs (1.6.0~pre7-2) unstable; urgency=low

  * Force use of dblatex to build the manual, even if docbook2pdf is
    available, since the latter dies with errors about TeX capacity.
    (Closes: #635306)
  * Fix generation of protocol documentation from Doxygen headers.
    Doxygen cannot be called directly on header files and needs a
    configuration file to be generated first.  Thanks, Anders Kaseorg.
  * Add another dummy rule for ./debian/rules to the kernel module rules
    file to fix another variation of make-kpkg breakage.

 -- Russ Allbery <rra@debian.org>  Sun, 24 Jul 2011 16:45:28 -0700

openafs (1.6.0~pre7-1) unstable; urgency=low

  * New upstream prerelease.
    - Substantial Rx updates to correct erroneous behavior
    - Salvager tries harder to detect linktable issues
    - Additional documentation
    - xstat tools now cope with differing timeval structures between
      endpoints
    - Don't attach volumes with special status set in demand attach
    - Treat Linux 3.0 as Linux 2.6 for sysname purposes
  * Update README.source for a few changes in procedures and source
    package format.
  * Reapply the removal of the Doxygen-generated copy of jquery, since
    this apparently wasn't as fixed as had been advertised.  However, make
    it conditional on the existence of the jquery.js script, so we should
    hopefully only fix this where necessary.

 -- Russ Allbery <rra@debian.org>  Wed, 20 Jul 2011 13:04:07 -0700

openafs (1.6.0~pre6-2) unstable; urgency=medium

  * Urgency set to medium since 1.6.0~pre6-1 has been in unstable for some
    time, blocked only by the armel build problem, and 1.6.0~pre4-1 in
    testing has serious bugs.
  * Revert the removal of Doxygen's jquery copy.  This has now been fixed
    in the Doxygen package.
  * Disable optimization on armel to work around #630746.

 -- Russ Allbery <rra@debian.org>  Wed, 13 Jul 2011 14:05:26 -0700

openafs (1.6.0~pre6-1) unstable; urgency=low

  * New upstream prerelease.
    - Don't do unnecessary page invalidation with directories.
    - Flush vcaches in afs_shutdown for better callback givebacks.
    - Fix the vnode type for dynroot FIDs.
    - Fix volinfo -filenames.
    - Fall back to afs3-vlserver for SRV records for afs3-prserver.
    - Fix a client locking issue on ICBS that could deadlock.
    - Fix callback state handling with demand-attach when salvaged.
    - Fix reference leak in GetCapabilities.
    - Document DNS SRV record usage in afsd man page.
  * Add a dummy debian/rules rule in the kernel module rules file to fix
    builds with make-kpkg.  (Closes: #622260)
  * Remove and symlink the copies of jquery generated by Doxygen and add a
    Recommends on libjs-jquery for openafs-doc.

 -- Russ Allbery <rra@debian.org>  Thu, 16 Jun 2011 09:07:30 -0700

openafs (1.6.0~pre5-2) unstable; urgency=low

  * Apply upstream patch from http://gerrit.openafs.org/#change,4656 for
    correct reading of files larger than the chunk size.
  * Use dpkg-buildflags to get the default values of CFLAGS, CPPFLAGS, and
    LDFLAGS.  Upstream does not entirely honor these yet, but we're
    getting closer.
  * Update to standards version 3.9.2 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sun, 15 May 2011 00:29:14 -0700

openafs (1.6.0~pre5-1) unstable; urgency=low

  * New upstream prerelease.
    - Avoid downward vcache pressure when entries are free.
    - Avoid client to fileserver deadlock during callback giveup.
    - Improve calculation of when to flush vcaches.
    - Don't read pages beyond the cache EOF.
    - Improve file server reference counting, locking, and logging.
    - Rename the OpenAFS com_err library to avoid conflicts.
    - Restrict the number of CBRs allocated at once.
    - Permit importing of -md5 and -md4 keys with asetkey.
    - Fix token return in aklog with 524 conversion.
  * Apply upstream patch from http://gerrit.openafs.org/#change,4654 to
    fix a configure problem detecting Linux kernel properties, leading to
    a lockup on 2.6.38 kernels.
  * Update import-upstream and README.source for moving 1.6 from the
    experimental and upstream-1.5 branches to the master and upstream
    branches.
  * Change to Debian source format 3.0 (quilt).  Force a single Debian
    patch for simplicity since the packaging is maintained in Git using
    branches, and include a patch header explaining why.
  

