## openafs 1.6.1~pre1

=== debian/changelog ===
openafs (1.6.1~pre1-1) unstable; urgency=low

  * New upstream prerelease.
    - Install new afsio utility.
    - Fixes performance issues in both the client and the server.
    - Rate-limit waiting for volume messages in kernel logs.
    - Avoid a possible memory allocation issue in ticket data management.
    - Disable MTU discovery.
    - Reduce the quantity of NAT pings sent by the client.
    - Various fixes for demand-attach file servers.
    - Fix volume lock violations.
    - Report the bosserver -rxbind address in a file.
    - Revert process group changes on keyring failure.
    - Various fixes for the salvager.

 -- Russ Allbery <rra@debian.org>  Tue, 20 Dec 2011 13:51:57 -0800

openafs (1.6.0-3) unstable; urgency=low

  * Apply upstream deltas to fix file corruption issue in file server:
    - [c73b6644] viced: disable accelerated copyonwrite
    - [4e05bc3b] remove CopyOnWrite2 and unused vars

 -- Russ Allbery <rra@debian.org>  Wed, 07 Dec 2011 18:47:48 -0800
