## openafs 1.6.1~pre2

=== debian/changelog ===
openafs (1.6.1~pre2-1) unstable; urgency=low

  * New upstream prerelease.
    - Disable server-side Rx keepalive during disk I/O.
    - Avoid timing out on non-kernel busy Rx channels.
    - Add separate client connection pool for replicated volumes.
    - Remove SYNC client disable behavior on some error patterns.
    - Correctly test for the end of the Rx call queue.
    - Fix cleanup of special inodes on the server.
    - Provide a public Rx function for toggling keepalive.
    - Fix connection management in the client checkserver loop.
    - Discard cached state in the client when unsure of validity.
    - Fix thread safety of free inode management with demand-attach.
    - Fix xstat handling of time values on 64-bit platforms.
    - Increase the idledead time.
    - Fix return status of fsync on a directory.
  * Fix afs-newcell's creation of the file server process to pass
    -localauth.  This was broken when demand-attach support was
    added.  Thanks, Florian Hatat.  (Closes: #652973)
  * Fix afs-newcell's unwind of file server process creation.  Thanks,
    Davor.  (Closes: #655136)
  * Description typo, thanks Jonas Smedegaard.  (Closes: #657933)
  * Translation updates:
    - Danish, thanks Joe Hansen.  (Closes: #654933)

 -- Russ Allbery <rra@debian.org>  Wed, 08 Feb 2012 14:30:07 -0800
