=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Russ Allbery <rra@debian.org>
 Uploaders: Sam Hartman <hartmans@debian.org>
-Build-Depends: debhelper (>= 8), autoconf, automake, bison, comerr-dev,
+Build-Depends: debhelper (>= 9), autoconf, automake, bison, comerr-dev,
  cpio, dblatex, dkms (>= 2.1.1.1), docbook-xsl, doxygen, flex,
  libfuse-dev, libkrb5-dev, libncurses5-dev, libpam0g-dev, libxml2-utils,
  perl, pkg-config, xsltproc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.openafs.org/
 Vcs-Git: git://git.debian.org/git/pkg-k5-afs/openafs.git
 Vcs-Browser: http://git.debian.org/?p=pkg-k5-afs/openafs.git
