## openafs 1.6.1

=== debian/changelog ===
openafs (1.6.1-2+ubuntu2.1) quantal-security; urgency=high

  * SECURITY UPDATE: Brute force DES attack permits compromise of AFS cell.
    vos -encrypt doesn't encrypt connection data.
    Buffer overflows which could cause a serverside denial of service.
    - openafs-sa-2013-001.patch: Fix fileserver buffer overflow when parsing
      client-supplied ACL entries and protect against client parsing of
      bad ACL entries. Thanks to Nickolai Zeldovich.
    - openafs-sa-2013-002.patch: Fix ptserver buffer overflow via integer
      overflow in the IdToName RPC. Thanks to Nickolai Zeldovich
    - 0001-Add-rxkad-server-hook-function-to-decrypt-more-types.patch
    - 0002-New-optional-rxkad-functionality-for-decypting-krb5-.patch
    - 0003-Integrate-keytab-based-decryption-into-afsconf_Build.patch
    - 0004-Derive-DES-fcrypt-session-key-from-other-key-types.patch
    - 0005-Move-akimpersonate-to-libauth.patch
    - 0006-Clean-up-akimpersonate-and-use-for-server-to-server.patch
    - 0007-auth-Do-not-always-fallback-to-noauth.patch
    - 0008-Avoid-calling-afsconf_GetLatestKey-directly.patch
    - 0009-Reload-rxkad.keytab-on-CellServDB-modification.patch
    - 0010-Add-support-for-deriving-DES-keys-to-klog.krb5.patch
    - 0011 skipped because it was a version bump
    - 0012-ubik-Fix-encryption-selection-in-ugen.patch
    - Thanks to Chaskiel Grundman, Alexander Chernyakhovsky, Ben Kaduk,
        Andrew Deason, and Michael Meffie for the above patch series.
    - swap-libs.patch: Resolve FTBFS with newer toolchains. Thanks to Anders
        Kaseorg.
    - OPENAFS-SA-2013-001
    - OPENAFS-SA-2013-002
    - OPENAFS-SA-2013-003
    - OPENAFS-SA-2013-004
    - CVE-2013-1794
    - CVE-2013-1795
    - CVE-2013-4134
    - CVE-2013-4135
    - LP: #1145560
    - LP: #1204195
  * Remove debian/source/options, which previously force-collaped the above
    patches into one debian/patches/debian-changes and caused confusing patch
    failures later. Thanks to Colin Watson for help with debugging and to
    Seth Arnold for identifying the failure.

 -- Luke Faraone <lfaraone@ubuntu.com>  Wed, 24 Jul 2013 11:16:48 -0400

openafs (1.6.1-2ubuntu2) quantal; urgency=low

  * Really fix for kernel 3.5. (LP: #1015925)

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 13 Sep 2012 09:45:52 +1000

openafs (1.6.1-2ubuntu1) quantal; urgency=low

  * Apply upstream deltas for Linux 3.5 (Closes: #685973)
    (LP: #1015925):
    - [2b33384] Linux 3.4: replace end_writeback with clear_inode
    - [5227148] Linux 3.5: encode_fh API change

 -- Anders Kaseorg <andersk@mit.edu>  Tue, 11 Sep 2012 19:01:20 -0400

openafs (1.6.1-2) unstable; urgency=low

  * Translation updates:
    - Fix German translation encoding.  Thanks, Christian PERRIER.
      (Closes: #678736)
    - Italian, thanks Beatrice Torracca.  (Closes: #671640)

 -- Russ Allbery <rra@debian.org>  Tue, 21 Aug 2012 17:11:58 -0700

openafs (1.6.1-1) unstable; urgency=low

  * New upstream release.
    - Do not ignore all InlineBulkStatus errors in file server.
    - Support for Linux 3.3 and 3.4.
    - Fix incorrect kernel error handling in afs_notify_change.
    - Fix locking around RXS_PreparePacket.

 -- Russ Allbery <rra@debian.org>  Wed, 28 Mar 2012 17:25:05 -0700
