## openafs 1.6.2~pre2

=== debian/changelog ===
openafs (1.6.2~pre2-2) experimental; urgency=low

  * Restore include of <sys/param.h> in userspace builds of rx/rx_packet.h
    to get a definition of MIN and MAX on, at least, powerpc.  Thanks,
    Andrew Deason.

 -- Russ Allbery <rra@debian.org>  Thu, 03 Jan 2013 12:06:41 -0800

openafs (1.6.2~pre2-1) experimental; urgency=low

  * New upstream prerelease.
    - Support Linux kernels up to 3.7.  (Closes: #685973)
    - Fix fileservers to properly report >2 TiB partitions.
    - Fix stale volume info from vos examine on non-DAFS filservers.
    - Fix possible volume corruption with vos convertROtoRW.
    - Fix bosserver to preserve all command-line options over restart.
    - Fix bosserver to properly kill hung processes during shutdown.
    - Fixes for memcache, especially on Solaris.
    - Increase the size of the DNS resolver answer buffer to allow sites
      with a long response list to use SRV and AFSDB records.
    - Fix possible abuse of fs mkmount.  In previous versions, users could
      crash a client by nesting volume mounts.
    - Fix client page cache corruption on Linux.  When multiple clients
      read and write to a file, the reading client may see first couple
      bytes of a file as nulls.
    - Support newer glibc versions.
  * Build-Depend on hardening-wrapper and enable it to work around the
    current upstream munging of CFLAGS and LDFLAGS.  (Closes: #659663)
  * Fix server installation instructions in README.servers, which used the
    early demand-attach syntax before separate demand-attach binaries were
    built.  Thanks, Björn Torkelsson.  (Closes: #693311)
  * Remove the symlink from the openafs-fileserver doc directory to the
    openafs-client doc directory.  We used to install this symlink and
    share doc directories, but this stopped in 1.4.12+dfsg-1.  However,
    dpkg doesn't remove symlinks to a directory, so systems that had
    upgraded from the older package were overwriting openafs-client doc
    files with the openafs-fileserver versions.  Thanks, Andreas
    Beckmann.  (Closes: #694063)
  * Switch to xz compression for the upstream tarball, Debian tarball, and
    binary packages.
  * Remove debian/import-upstream and change README.source to document
    using git-import-orig with --upstream-vcs-tag instead.
  * Move single-debian-patch to local-options and patch-header to
    local-patch-header so that they only apply to the packages I build and
    NMUs get regular version-numbered patches.
  * Update Vcs-* URLs for the new anonscm.debian.org URL layout.
  * Update standards version to 3.9.4 (no changes required).
  
 -- Russ Allbery <rra@debian.org>  Thu, 03 Jan 2013 10:07:39 -0800
