=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,9 @@
 #!/usr/bin/make -f
+
+# Enable hardening flags in hardening-wrapper.  This is a temporary
+# workaround until upstream supports using user-provided CFLAGS, CPPFLAGS,
+# and LDFLAGS.
+export DEB_BUILD_HARDENING = 1
 
 # Tell Autoconf the correct system types.
 DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -84,7 +89,7 @@
 	rm -r openafs_$(DEBVERS).orig/src/WINNT
 	tar cf openafs_$(DEBVERS).orig.tar openafs_$(DEBVERS).orig
 	rm -r openafs_$(DEBVERS).orig
-	gzip -9 openafs_$(DEBVERS).orig.tar
+	xz openafs_$(DEBVERS).orig.tar
 
 # Use dh for most actions, with overrides below.
 %:
@@ -176,6 +181,3 @@
 	cp .version debian/$(srcpkg)/usr/src/modules/$(package)/
 	mkdir -p debian/$(srcpkg)/usr/src/modules/$(package)/debian
 	cp debian/copyright debian/module/* \
-	    debian/$(srcpkg)/usr/src/modules/$(package)/debian/
-	sed 's/^openafs /openafs-modules /' debian/changelog \
-	    > debian/$(srcpkg)/usr/src/modules/$(package)/debian/changelog
